Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr
Class ValueFormatException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.jcr.RepositoryException
javax.jcr.ValueFormatException`

All Implemented Interfaces:
  java.io.Serializable

      public class ValueFormatException

extends RepositoryException

Exception thrown when an attempt is made to assign a value to a property that has an invalid format, given the type of the property. Also thrown if an attempt is made to read the value of a property using a type-specific read method of a type into which it is not convertable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.jcr.RepositoryException
`rootCause`

Constructor Summary
`ValueFormatException()` Constructs a new instance of this class with `null` as its detail message.
`ValueFormatException(java.lang.String message)` Constructs a new instance of this class with the specified detail message.
`ValueFormatException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
`ValueFormatException(java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

Method Summary

Methods inherited from class javax.jcr.RepositoryException
`getCause, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueFormatException

    public ValueFormatException()

  Constructs a new instance of this class with `null` as its detail message.

### ValueFormatException

    public ValueFormatException(java.lang.String message)

  Constructs a new instance of this class with the specified detail message.
  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.

### ValueFormatException

    public ValueFormatException(java.lang.String message,
                                java.lang.Throwable rootCause)

  Constructs a new instance of this class with the specified detail message and root cause.
  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.
    `rootCause` - root failure cause

### ValueFormatException

    public ValueFormatException(java.lang.Throwable rootCause)

  Constructs a new instance of this class with the specified root cause.
  Parameters:
    `rootCause` - root failure cause

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.